自定义博客皮肤VIP专享

*博客头图:

格式为PNG、JPG,宽度*高度大于1920*100像素,不超过2MB,主视觉建议放在右侧,请参照线上博客头图

请上传大于1920*100像素的图片!

博客底图:

图片格式为PNG、JPG,不超过1MB,可上下左右平铺至整个背景

栏目图:

图片格式为PNG、JPG,图片宽度*高度为300*38像素,不超过0.5MB

主标题颜色:

RGB颜色,例如:#AFAFAF

Hover:

RGB颜色,例如:#AFAFAF

副标题颜色:

RGB颜色,例如:#AFAFAF

自定义博客皮肤

-+

yunyou.ke.qq.com(云幽的博客)

共享交流CAD\BIM\JAVA\C#\PYTHON\大数据\人工智能等技术

  • 博客(43)

原创 关于几何(CAD二次开发实现判断点与多边形相对关系)

一、本节课程C++ ARX二次开发点和闭合多段线的位置关系二、本节要讲解的知识点结合自己的业务场景,想想自己开发中可能碰到的点和闭合多段线相对关系的需求:统计多段线内部的所有图块;还可以拓展判断任意曲线跟多段线的相对关系。三、具体内容计算机图形学、计算几何。判断点是否在多边形内部,一般有以下方法:叉乘判断(适合凸多边形):如果将多边形的所有顶点按逆时针排序,那么判断点和...

2020-03-29 21:20:04 197

原创 MFC如何在CAD二次开发中实现模态对话框

一、知识点(课程在 yunyou.ke.qq.com报名并添加老师微信获取进一步资料)1、使用MFC的对话框在ObjectARX应用程序中创建模态对话框的一般过程。2、使用基于ObjectARX的对话框创建与AutoCAD风格相同的用户界面,以及隐藏模态对话框和AutoCAD进行交互的方法。二、知识点(课程在 yunyou.ke.qq.com报名并添加老师微信获取进一步资料)...

2020-03-29 21:09:36 138

原创 ARX最新向导可用2010-2018

OBJECTARXWIZARDS & AUTOCAD .NET WIZARDS 下载地址ObjectARX WizardsThe ObjectARX Wizards for AutoCAD 2016 for Visual Studio 2012 and 2013ObjectARX 2016 Wizard (zip – 636Kb)The ObjectARX Wizards for...

2018-11-07 21:58:23 1241

原创 C++ ARX二次开发视图

一、本节课程C++ ARX二次开发视图二、本节要讲解的知识点C++ ARX开发中视图的获取、设置等知识三、具体内容1、AcDbViewTableRecord 来表示AUTOCAD中的视图。如何调整视图:先获取当前视图,设置一些特性,然后acedSetCurrentView函数来更新视图。2、与视图相关的系统变量,来获取当前视图的一些参数。VIEWMODE、VIEWCTR、LENSLE...

2018-10-14 15:32:16 704 1

原创 Pycharm 最新激活2018.10月可用

4OKLA4FWNX-eyJsaWNlbnNlSWQiOiI0T0tMQTRGV05YIiwibGljZW5zZWVOYW1lIjoi5Lq/56iLIOi9r+S7tiIsImFzc2lnbmVlTmFtZSI6IiIsImFzc2lnbmVlRW1haWwiOiIiLCJsaWNlbnNlUmVzdHJpY3Rpb24iOiJGb3IgZWR1Y2F0aW9uYWwgdXNlIG9ubHkiL...

2018-10-14 08:29:21 4649 1

原创 C# CAD 开发得到实体、添加实体、添加XDATA等代码

通过ObjectId得到一个实体的代码:private DBObject GetObject(ObjectId id){DBObject obj = null;using (Transaction transaction = Application.DocumentManager.MdiActiveDocument.TransactionManager.StartTransaction()...

2018-10-13 20:50:47 2174

原创 C# CAD arx得到模型空间所有实体的代码

public List<Autodesk.AutoCAD.DatabaseServices.ObjectId> GetEntitiesInModelSpace() { List<Autodesk.AutoCAD.DatabaseServices.ObjectId> objects = new List<Autodesk.AutoCAD.D...

2018-10-13 20:48:54 1039

原创 C++ ARX CAD二次开发实体操作

得到选中的实体,修改实体如等分线段AcGeVector3d是点阵的集合,通过等分点的差集得到。新的点可以通过点与点阵相差得到。static void ArxProject2partLine(void){ads_name entName;ads_point pt;acedEntSel( _T("\n选择:"),entName,pt);//得到选中的实体AcDbObjectId Obj...

2018-10-13 20:45:50 1665

原创 C#CAD开发如何将AUOCAD潜入到WINFORM窗口中

直接上代码:using System;using System.Windows.Forms;namespace EmbedAutoCAD{public partial class MainForm : Form{public MainForm(){InitializeComponent();}private void browseButton_Click( object ...

2018-10-13 20:39:00 2340

原创 C++ ARX遍历AutoCAD图形数据库

C++ ARX遍历AutoCAD图形数据库的代码:void FindObjectId(AcDbObjectId & objId){AcDbDatabase * pDb = acdbHostApplicationServices()->workingDatabase();AcDbBlockTable *pBlockTable;pDb->getBlockTable(pBl...

2018-10-13 20:27:13 695 1

原创 ARX 向数据库中添加实体的

向数据库中添加实体:Acad::ErrorStatus addEntityToModelSpace(AcDbEntity * pEnt, AcDbObjectId & EntId){Acad::ErrorStatus eRet;AcDbDatabase * pDb = acdbHostApplicationServices()->workingDatabase();AcDb...

2018-10-13 20:25:22 197

原创 关于ObjectARX的那些事

ObjectARX是一个仅在AutoCAD上进行二次开发的一套开发环境,通俗点讲就是一系列的APIObjectARX:扩展AutoCAD功能为各种工程设计开发便利的工具。ARX——AutoCAD Runtime eXtensionDBX ——DataBase eXtensionARX = .DLL + 2 exported functions{ acrxEntryPoin...

2018-10-13 20:15:24 580

原创 如何应用Dynamo创建几何形体?

一、本节课程Dynamo课程-Dynamo常见几何形体的创建与编辑(几何变换和几何布尔运算)二、本节要讲解的知识点Dynamo常见几何形体的创建与编辑(坐标点的平移复制、几何形体的平移复制、镜像复制、旋转复制、缩放、获取几何形体之间的距离、几何形体的拆分、差集、并集、交集)。三、具体内容1、坐标点的平移复制2、几何形体的平移复制3、几何形体的镜像复制4、几何形体的缩放...

2018-10-11 15:19:13 2110

原创 Dynamo常见几何形体的创建与编辑

一、本节课程Dynamo课程-Dynamo常见几何形体的创建与编辑二、本节要讲解的知识点Dynamo常见几何形体的创建与编辑三、具体内容1、直线 Line2、圆 Circle3、多边形4、长方体5、球体四、总结Dynamo课程-Dynamo常见几何形体的创建与编辑,yunyou.ke.qq.com 视频课程查看详情。...

2018-10-11 15:05:53 1718

原创 Dynamo课程-Dynamo入门功能篇

一、本节课程Dynamo课程-Dynamo入门功能篇二、本节要讲解的知识点Dynamo界面介绍、节点介绍、输入节点三、具体内容1、dynamo界面2、dynamo节点四、总结BIM引领工程建设行业的变革,Dynamo便是那个火车头...

2018-10-11 14:57:56 2413

原创 Dynamo课程-工程师都该学的Dynamo可视化编程

一、本节课程Dynamo课程-工程师都该学的Dynamo可视化编程二、本节要讲解的知识点Dynamo三、具体内容1、Dynamo是一款Autodesk推出的可视化编程软件什么是计算式设计(Computational Design)?所谓计算式设计,是指用强大的计算机运算能力来解决设计问题,通过自动化、模拟计算、脚本编写、参数化等各种技术来生成设计解决方案。近年来计算式设...

2018-10-11 14:25:53 922

原创 C# Revit二次开发基础/核心编程---建筑建模-标高和轴网

 一、本节课程C# Revit二次开发基础/核心编程---建筑建模-标高和轴网二、本节要讲解的知识点1、标高的高度、创建标高2、轴网曲线、创建轴网具体内容1、标高标高是有限水平平面,大多数元素都是基于标高来定位的,如墙、地板、天花板、屋顶等。对应的类是Level,它继承于Element类。(1)标高的高度(Elevation and ProjectElevatio...

2018-10-01 18:12:42 1450

原创 C# Revit二次开发基础/核心编程---元素过滤器

一、本节课程C# Revit二次开发基础/核心编程---元素过滤器二、本节要讲解的知识点    元素Element过滤器的概念和使用具体内容Revit API 提供了元素过滤器,用来遍历元素以及元素的ID。这些过滤器为各种不同的应用程序获取元素提供了更灵活更实用的接口。(1)收集器FilteredElementCollector用来迭代以及过滤元素的主要类是收集器,它有三种...

2018-10-01 18:11:45 968 1

原创 C# Revit二次开发关于元素Element

一、本节课程C# Revit二次开发基础/核心编程--- 元素Element(基础、编辑)二、本节要讲解的知识点元素Element的基础概念、如何编辑元素具体内容元素Element基础元素在Revit里面尤其重要,用户能看见的大多数对象都是元素,比如墙、族、族类型、族实例、标高、轴网、视图等。Revit中的大多数类都是继承自元素。元素是可序列化的,即是可以保存到RVT项目...

2018-10-01 18:10:57 413

原创 C# Revit二次开发基础/核心编程--- 元素Element(基础、编辑)

 一、本节课程C# Revit二次开发基础/核心编程--- 元素Element(基础、编辑)二、本节要讲解的知识点    元素Element的基础概念、如何编辑元素具体内容元素Element基础元素在Revit里面尤其重要,用户能看见的大多数对象都是元素,比如墙、族、族类型、族实例、标高、轴网、视图等。Revit中的大多数类都是继承自元素。元素是可序列化的,即是可以保存到...

2018-10-01 18:10:11 1474 2

原创 C# Revit二次开发基础/核心编程--- Application\Document\Transaction

 一、本节课程 C# Revit二次开发基础/核心编程--- Application\Document\Transaction二、本节要讲解的知识点    Application\Document\Transaction 和其例子具体内容Application\Document的概念Revit和Mcirosoft Office一样,使用多文档模型,在Revit API的类...

2018-10-01 18:08:56 1077

原创 Dynamo为工程师提高工作效率提供新的工具

一、本节课程Dynamo课程-工程师都该学的Dynamo可视化编程yunyou.ke.qq.com二、本节要讲解的知识点Dynamo三、具体内容1、Dynamo是一款Autodesk推出的可视化编程软件什么是计算式设计(Computational Design)?所谓计算式设计,是指用强大的计算机运算能力来解决设计问题,通过自动化、模拟计算、脚本编写、参数化等各种技...

2018-09-19 20:52:23 1198

原创 C++ ARX二次开发-MFC 模态对话框modal dialog

一、本节课程C++ ARX二次开发-MFC 模态对话框modal dialog二、本节要讲解的知识点1、使用MFC的对话框在ObjectARX应用程序中创建模态对话框的一般过程。2、使用基于ObjectARX的对话框创建与AutoCAD风格相同的用户界面,以及隐藏模态对话框和AutoCAD进行交互的方法。三、具体内容1、思路:在ObjectARX中显示一个模态对话框非常简...

2018-08-10 23:27:17 894

原创 C++ ARX二次开发点和闭合多段线的位置关系

一、本节课程C++ ARX二次开发点和闭合多段线的位置关系二、本节要讲解的知识点结合自己的业务场景,想想自己开发中可能碰到的点和闭合多段线相对关系的需求:统计多段线内部的所有图块;还可以拓展判断任意曲线跟多段线的相对关系。三、具体内容计算机图形学、计算几何。判断点是否在多边形内部,一般有以下方法:叉乘判断(适合凸多边形):如果将多边形的所有顶点按逆时针排序,那么判断点和每一条边...

2018-07-28 00:01:42 956

原创 C# Revit二次开发基础/核心编程--- IExternalCommand/IExternalApplicaiton

一、本节课程C# Revit二次开发基础/核心编程--- IExternalCommand/IExternalApplicaiton二、本节要讲解的知识点    IExternalCommand/IExternalApplicaiton帮助入门的案例具体内容1、IExternalCommand外部命令(1)基本原理:如果Revit没有其他命令在调用,或者是没有处于编辑模式,Ex...

2018-07-27 23:49:56 1720

原创 C# Revit二次开发基础/核心编程---RevitAPI基础

一、本节课程yunyou.ke.qq.com提供。C# Revit二次开发基础/核心编程---RevitAPI基础二、本节要讲解的知识点 Revit API的概述、基础以及第一个应用程序具体内容0.0了解Revit和Revit APIRevit三维、附加信息的三维模型Revit API :应用程序开发接口,Application Programming Inter...

2018-07-27 23:47:08 21347

原创 C# Revit二次开发基础/核心编程---开发环境配置

一、本节课程C# Revit二次开发基础/核心编程---开发环境配置二、本节要讲解的知识点如何配置Revit二次开发的环境,创建Hello World应用程序具体内容安装Revit 2018:  AUTODESK官方网站,下载。https://www.autodesk.com.cn/products/revit/free-trial 安装VS2015及其更新:从微软的官方网站,下...

2018-07-27 23:40:21 1911

原创 c++ Arx二次开发创建椭圆和样条曲线

一、本节课程c++ Arx二次开发创建椭圆和样条曲线二、本节要讲解的知识点   1、如何应用C++ ARX二次开发创建椭圆(对AcDbEllipse类的构造函数的直接封装和根据外接矩形来创建椭圆)   2、如何应用C++ ARX二次开发创建样条曲线(对AcDbSpline类的构造函数的直接封装)三、具体内容1、创建椭圆的思路默认构造函数:AcDbEllipse::AcDb...

2018-07-21 11:25:07 857

原创 C# Revit二次开发基础/核心编程---课程体系介绍

一、本节课程C# Revit二次开发基础/核心编程---课程体系介绍二、本节要讲解的知识点本门课程意义和定位;目录和内容摘要具体内容本门课程的意义和定位Revit二次开发的作用众所周知,BIM【Building Information Modeling】(也即建筑信息模型),这个概念在建筑领域已深入人心,发展异常迅猛,尤其是当BIM被明确写入建筑业发展“十二五”规划并继 续列入住...

2018-07-20 16:18:03 1165 1

原创 C++ ARX二次开发扩展字典、有名对象字典

一、本节课程C++ ARX二次开发扩展字典、有名对象字典二、本节要讲解的知识点扩展字典的使用和有名对象字典的使用(AddXRecord、ViewXRecord、AddNameDict、ViewNameDict)。三、具体内容1、访问实体的扩展字典?扩展字典与特定的实体关联的,但是一个实体在默认情况下是不包含扩展字典的,如果要利用扩展字典保存与实体关联的数据,可以使用createExtentionD...

2018-07-15 00:38:37 548

原创 Arx二次开发创建第一个应用程序

一、本节课程Arx二次开发创建第一个应用程序二、本节要讲解的知识点1、手动创建ARX的应用的步骤。2、应用向导创建ARX应用程序的步骤。三、具体内容1、需求:创建一个Hello World应用程序,在AUTOCAD的命令行输出“Hello World”。2、手动创建一个ARX应用程序:C++开发ARX应用程序,实际上我们ARX应用程序就是一个动态链接库,它的后缀只是没用.DLL来表示而已,是用.A...

2018-07-14 22:21:40 1992

原创 C++ ARX二次开发扩展数据

一、本节课程C++ ARX二次开发扩展数据二、本节要讲解的知识点 1、如何向实体添加扩展数据2、如何获得扩展数据并且显示出来3、如何删除扩展数据三、具体内容1、为什么要使用扩展数据:在编程时,某些时候不可避免的要向图形中添加一些用户数据,例如,要将一条直线认为是输电线路、道路中心线、或者是其他的对象,有时候也需要将图形的编号等信息随着图形一起保存。2、一个实体所附加扩展数据最大不能超过16K。3、...

2018-07-13 18:44:03 355

原创 Arx二次开发“选择集”

一、本节课程Arx二次开发“选择集”二、本节要讲解的知识点1、选择集的创建和删除。2、选择集中对象的增加和删除。3、对象选择的方法。4、选择集过滤器的使用。三、具体内容1、选择集的创建和删除选择集是AUTOCAD中当前图形中的一组实体,通过图元名进行引用,就是一个ads_name变量。创建选择集可以使用acedSSAdd、acedSSGet函数。acedSSGet函数提供了绝大多数创建选择集的方法...

2018-07-13 18:42:25 962

原创 C++ CAD Arx二次开发用户交互

一、本节课程Arx二次开发用户交互二、本节要讲解的知识点1、用户交互的一些函数:acedGetXXX(acedGetString、acedGetPoint、acedGetInt acedGetKword、acedGetReal)。2、动态创建多段线的实现。3、acedGetPoint函数中使用关键字。三、具体内容1、acedGetString:获取用户输入的字符串acedGetPoint:获取用户...

2018-07-13 18:41:15 1687

原创 Arx二次开发在acedCommad和结果缓冲区resbuf

一、本节课程Arx二次开发在acedCommad和结果缓冲区resbuf二、本节要讲解的知识点1、acedCommand/acedCommandS函数的使用2、acedCmd/acedCmdS函数的使用3、遍历结果缓冲区链表三、具体内容1、acedCommand函数在高版本中已经用acedCommandS函数替代了。需要使用本函数需要包含的头文件是:acedCmdNF.h。acedCmd函数在高版...

2018-07-13 18:38:56 752

原创 C++ ARX二次开发视图、视口、UCS

视频课程由yunyou.ke.qq.com提供一、本节课程C++ ARX二次开发视图、视口、UCS二、本节要讲解的知识点1、C++ ARX开发中视图的获取、设置等知识2、C++ARX开发中视口的相关概念及设置3、UCS相关概念、获取和修改三、具体内容1、开发视图的思路:AcDbViewTableRecord 来表示AUTOCAD中的视图。 如何调整视图:先获取当前视图,设置一些特性,然后acedS...

2018-07-13 18:36:50 1118

原创 VC编译ARX项目时自动通知AutoCAD卸载ARX程序,并在编译完成后自动加载新编译的ARX程序

视频课程由:yunyou.ke.qq.com提供。一、本节课程VC编译ARX项目时自动通知AutoCAD卸载ARX程序,并在编译完成后自动加载新编译的ARX程序二、本节要讲解的知识点 问题的引出:在编写ARX程序时,一个比较麻烦的地方在于,每次重新编译ARX项目时,需要先手动的卸载此前加载调试的ARX程序,然后编译,最后再加载新生成的程序,虽然过程不算复杂,但经常这样做会让人感到厌烦。有没有办法使...

2018-07-12 22:51:41 582

原创 C#/AutoCAD 2018/ObjectArx/二次开发再说实体(六)

C#/AutoCAD 2018/ObjectArx/二次开发再说实体(六)这些函数对大家很有用,如果想获取详细源代码请加云幽学院yunyou.ke.qq.com报名免费课程,如果想学习更系统、更全面的知识请报名收费课程,有大量开发案例共享。1、获取模型空间中所有实体 #region "获取模型空间中所有实体"        /// <summary>        /// 获取模型空间...

2018-04-01 14:30:34 1886

原创 C#/AutoCAD 2018/ObjectArx/二次开发添加圆对象的的例子(五)

C#/AutoCAD 2018/ObjectArx/二次开发添加圆对象的的例子(五)1、创建一个图形对象的步骤如下见上一篇博客(三)2、添加删除实体的工具函数见上一篇博客(四)3、添加圆的例子(完整源代码请加云幽学院免费课yunyun.ke.qq.com)     [CommandMethod("MKCircle")]        public void MKCircle()        { ...

2018-04-01 14:29:17 700

原创 关于使用C# 进行AutoCAD 二次开发添加删除实体的工具函数

C#/AutoCAD 2018/ObjectArx/二次开发添加删除实体的工具函数(四)1、添加删除实体C# ObjectARX二次开发添加删除实体是非常容易主要代码如下:添加实体:objId = btr.AppendEntity(entity);trans.AddNewlyCreatedDBObject(entity, true);删除实体: entity.Erase(true);2、基本过...

2018-04-01 14:28:16 1053

空空如也

空空如也

空空如也
提示
确定要删除当前文章?
取消 删除